classification
Title: distutils uses the locale encoding for the .pypirc file
Type: Stage: resolved
Components: Distutils Versions:
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: alexis, dstufft, eric.araujo, lemburg, paul.moore, serhiy.storchaka, steve.dower, tarek
Priority: normal Keywords:

Created on 2020-06-27 15:14 by serhiy.storchaka, last changed 2021-02-03 18:05 by steve.dower. This issue is now closed.

Messages (3)
msg372467 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2020-06-27 15:14
I have not found any mention about the encoding of .pypirc files. Currently distutils uses the locale encoding for reading and writing them. It makes them potentially nonportable if they contain non-ASCII data (not sure if it is possible) and depending on the user settings.

I think that if the only ASCII content is allowed, it would be safer to use explicit ASCII encoding. If non-ASCII content is allowed, then it may be worth always to use UTF-8. What do you think?
msg379335 - (view) Author: √Čric Araujo (eric.araujo) * (Python committer) Date: 2020-10-22 20:07
Probably should have been specified as UTF-8, but now compatibility would prevent changing it.  I recommend no change.
msg386250 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-02-03 18:05
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-02-03 18:05:51steve.dowersetstatus: open -> closed

nosy: + steve.dower
messages: + msg386250

resolution: out of date
stage: resolved
2020-10-22 20:07:03eric.araujosetmessages: + msg379335
2020-06-27 15:14:43serhiy.storchakalinkissue41063 dependencies
2020-06-27 15:14:09serhiy.storchakacreate